Subject: bug#67199: Koutliner breaks Emacs key binding conventions

From: Mats Lidell <[email-masked]>
Date: Wed, 15 Nov 2023 22:12:39 +0100

Hi Martin,

Thanks for the report.

> Martin Marshall writes:
> Hello, I was trying out the Koutliner and found that it shadowed several
> of my custom keybindings.  I did a few searches of the mailing list
> archives and didn't see mention of this.
>
> Appendix D.2 of the GNU Emacs Lisp Reference Manual provides:
>
>      Don’t define C-c letter as a key in Lisp programs. Sequences
>      consisting of C-c and a letter (either upper or lower case; ASCII
>      or non-ASCII) are reserved for users; they are the only sequences
>      reserved for users, so do not block them.
>
> It looks like the following keybindings in `kotl-mode-map' go astray
> from this convention.
>
> C-c a		kotl-mode:add-child
> C-c b		kvspec:toggle-blank-lines
> C-c c		kotl-mode:copy-after
> C-c d		kotl-mode:down-level
> C-c e		kotl-mode:exchange-cells
> C-c g		kotl-mode:goto-cell
> C-c h		kotl-mode:cell-help
> C-c k		kotl-mode:kill-contents
> C-c l		klink:create
> C-c m		kotl-mode:move-after
> C-c p		kotl-mode:add-parent
> C-c s		kotl-mode:split-cell
> C-c t		kotl-mode:transpose-cells
> C-c u		kotl-mode:up-level
>
> I use:  Editor:      GNU Emacs 29.1
>         Hyperbole:   8.0.1pre
>         Sys Type:    x86_64-pc-linux-gnu
>         OS Type:     gnu/linux
>         Window Sys:  pgtk
>         News Reader: Gnus v5.13
>         Install:     git, 49588396bb
> scroll-down-command: Beginning of buffer-- 
>
> Best regards,
> Martin Marshall

I'm afraid this is a known issue that we have not set as a priority to fix
yet. Possibly because kotl-mode defines a lot of bindings, bindings that has
been there for a very long time. Plus we have not been able to come up with
any good alternatives.

Thanks for letting us know that you are negatively affected by the misuse of
the bindings so we see this side of the coin too and can take that into
account when prioritizing this.

Yours
-- 
%% Mats